public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/
Date: Sun,  9 Aug 2015 05:51:31 +0000 (UTC)	[thread overview]
Message-ID: <1439099481.a1370d99d703724f53592eaabfb762138ae3cbb1.graaff@gentoo> (raw)

commit:     a1370d99d703724f53592eaabfb762138ae3cbb1
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 05:51:21 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 05:51:21 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1370d99

Version bump.

Package-Manager: portage-2.2.20

 dev-ruby/typhoeus/Manifest              |  1 +
 dev-ruby/typhoeus/typhoeus-0.7.3.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
index adc3a65..b4f68cc 100644
--- a/dev-ruby/typhoeus/Manifest
+++ b/dev-ruby/typhoeus/Manifest
@@ -1,3 +1,4 @@
 DIST typhoeus-0.6.9.gem 49152 SHA256 5979555fd430ebec72ab1f5630e8f7679979fb21984d8d9dfe3008d4f91794c8 SHA512 5063d3217f35db29d216327b6eed10d6613d018c496935e78aa8e2b10ec21f3372df11fe48155b45387767d5572efa93e74afb0bb9b10782d28e87dead0294a4 WHIRLPOOL a20d25696804d2d444fa6df145360056dd6170ace42a8cab0a84aa425ae7306173331db8ace402f4a1c596925ee8d52702bc91c967f943361a2a852170b03917
 DIST typhoeus-0.7.1.gem 50688 SHA256 e81bb253477dd527733b2b512e4f48f474e63efe0e41bb92b119e1442fdad3c7 SHA512 e88656fa2a89da9eed5364a7f4249729a0a28835606211249413e48c481d58a8ee7a5267ea2c2d4d1b7947bab979c1223c4481d78ed1bfe34ea7e3b074dcbf78 WHIRLPOOL 2df03d6fe150b5b2a4892740f045eb1317d1c7650ad83675a4498470c1f6169f023f831f2501edee1d1b9d55e6ca08af43440fd00a2d4b109a2c794e61dc4606
 DIST typhoeus-0.7.2.gem 51712 SHA256 073fc5b57a49c17cfa0fda61573a4b590b21bd0c27aed9fb6bee432a024644c3 SHA512 bb672b26aa4639b3b7a7b348a564079211710818a711c58522f94125c92776d398cfd8bde8e519484ac6fe4c7c7a2778d34b8f6579ebff6f842f32caa31e2431 WHIRLPOOL 987cf3ecc6cbbf9a6c9c46580711aa1da9629fa0a22ff3df6d34047a7a83bf0e9a8c0a2ceba816075b27a822d50e8b7be3375ad047b4853a830109bc12844cd7
+DIST typhoeus-0.7.3.gem 51712 SHA256 13d1b1056fcb559d571da52fb13387797ff7b4f99ea157a7ef80e121e9356061 SHA512 2c837504cc81ee3131e5c0cfdd2da6ef123624ee166063ca749d9e001714aa45514d103229eb1d3c42e756acefa83697cd74d856e07ee584d5b5834d67a173b5 WHIRLPOOL ec10bb9a48428abc7c3afa63fc4f20c98b0eca41ab06dee4b28f9480d677b20e1b78080d349a6fa31717790d884eb19d035184756246fe315eb0e321d81a9011

diff --git a/dev-ruby/typhoeus/typhoeus-0.7.3.ebuild b/dev-ruby/typhoeus/typhoeus-0.7.3.ebuild
new file mode 100644
index 0000000..9f52ee7
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-0.7.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="http://rubygems.org/gems/typhoeus/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.7.4"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 )"
+
+all_ruby_prepare() {
+	sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}


             reply	other threads:[~2015-08-09  5:51 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-09  5:51 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-14  5:13 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/ Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2016-02-28  6:23 Hans de Graaff
2016-04-17 10:38 Manuel Rüger
2016-04-30  5:36 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-07-24  6:42 Hans de Graaff
2016-08-05 15:19 Christoph Junghans
2016-12-13  6:35 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-08-22  4:09 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2018-04-19 19:53 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-06-30  9:56 Hans de Graaff
2018-11-13  5:34 Hans de Graaff
2019-02-16 23:52 Robin H. Johnson
2019-02-16 23:52 Robin H. Johnson
2019-04-11 17:46 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2020-05-10  5:50 Hans de Graaff
2021-12-26 17:52 Jakov Smolić
2022-03-20 10:04 Hans de Graaff
2022-07-30  8:22 Hans de Graaff
2022-12-03  7:13 Hans de Graaff
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2023-01-10  6:40 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2023-12-24  8:19 Hans de Graaff
2024-02-18  6:59 Hans de Graaff
2024-02-20  5:53 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1439099481.a1370d99d703724f53592eaabfb762138ae3cbb1.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox